<script>
import AiListItem from "@/pagesOther/pages/ie/entry-ai-list/components/ai-list-item.vue";
import {useInjectMajorTreeService} from "@/pagesOther/pages/ie/hooks/useMajorTreeInjection";
import {useTransfer} from "@/hooks/useTransfer";

export default {
    name: "multiple-list-item",
    extends: AiListItem,
    setup() {
        const {majorTree} = useInjectMajorTreeService()
        const {transferTo} = useTransfer()

        return {
            majorTree,
            transferTo
        }
    },
    methods: {
        goDetail() {
            const path = '/pagesOther/pages/ie/entry-analysis/analysis-result-voluntary'
            this.transferTo(path, this.item, null, true)
        }
    }
}
</script>

<style scoped>

</style>